<!doctype html>
<html lang='en'>
<head>
  <meta charset='utf-8'>
  <title>Map Coordinates</title>
  <script>
  var arrayCoords = [];
	window.onload = init;
	function init() {
		var map = document.getElementById('map');
		map.onmousemove = showCoords;
		var mydiv = document.getElementById('mydiv');
		mydiv.onclick = addtext;
	}
	
	function showCoords(eventObj) {
		var div = document.getElementById('divUL');
		var coords = document.getElementById('coords');
		var x = eventObj.clientX;
		var y = eventObj.clientY;
		coords.innerHTML = 'Map coordinates: ' + x + ', ' + y;
		arrayCoords.push('Mouse x: ' + x + ', mouse y: ' + y);
		var ul = document.createElement('ul');
		div.appendChild(ul);
		for (var i = 0; i < arrayCoords.length;i++) {
			var li = document.createElement('li');
			li.appendChild(document.createTextNode(arrayCoords[i]));
			ul.appendChild(li);
		}
	}

	function addtext(){
		if (document.createTextNode){
			var textToAdd = ' Div was clicked! ';
			var newNode = document.createTextNode(textToAdd);
			document.getElementById('mydiv').appendChild(newNode);
		} else {
			alert('Looks like you have an old browser!');
		}
	}
  </script>
</head>
<body>
	<img id='map' src='data/map.jpg'>
	<p id='coords'>Move mouse over map to find coordinates...</p>
	<div id='mydiv' style='border:1px solid red'>I am a DIV! Click me.</div>
	<div id='divUL'></div>
</body>
</html>
